<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: Data Fields - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="contents">
&#160;

<h3><a id="index_p"></a>- p -</h3><ul>
<li>parent
: <a class="el" href="struct__scconf__block.html#a175c4cc967d747c1d07c892a1b0514d2">_scconf_block</a>
</li>
<li>parm
: <a class="el" href="struct__scconf__entry.html#a14c65b9f2783c6f6dafdaaa372329e4d">_scconf_entry</a>
</li>
<li>pBaseG
: <a class="el" href="structCK__SKIPJACK__PRIVATE__WRAP__PARAMS.html#a2517234f230b9bd2a911ba4ece9826fb">CK_SKIPJACK_PRIVATE_WRAP_PARAMS</a>
</li>
<li>pClientRandom
: <a class="el" href="structCK__SSL3__RANDOM__DATA.html#af5fd07536af0e6e8bf504a95ecfe2a86">CK_SSL3_RANDOM_DATA</a>
</li>
<li>pData
: <a class="el" href="structCK__KEY__DERIVATION__STRING__DATA.html#a2afec599e1873a4d7f34ff1e7acb57ae">CK_KEY_DERIVATION_STRING_DATA</a>
</li>
<li>pInitVector
: <a class="el" href="structCK__PBE__PARAMS.html#a612c89f901f58cad3d1d0d8089aa0060">CK_PBE_PARAMS</a>
</li>
<li>pIv
: <a class="el" href="structCK__RC5__CBC__PARAMS.html#a484f89086d16b6136e768608356cf411">CK_RC5_CBC_PARAMS</a>
</li>
<li>pIVClient
: <a class="el" href="structCK__SSL3__KEY__MAT__OUT.html#adf3ed65402146a8e952013448e419aec">CK_SSL3_KEY_MAT_OUT</a>
</li>
<li>pIVServer
: <a class="el" href="structCK__SSL3__KEY__MAT__OUT.html#ab5d66f6e655c1563ff11d36ef5a73725">CK_SSL3_KEY_MAT_OUT</a>
</li>
<li>pkcs11_module
: <a class="el" href="structconfiguration__st.html#ac770e8e1af245d2bda3725cde9129cc0">configuration_st</a>
</li>
<li>pkcs11_modulepath
: <a class="el" href="structconfiguration__st.html#a2718dd6f019e3f5c280b033f441b6f33">configuration_st</a>
</li>
<li>pNewPassword
: <a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#a57eb4fc15619633f034118e2ebf0c049">CK_SKIPJACK_RELAYX_PARAMS</a>
</li>
<li>pNewPublicData
: <a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#a4213f41b59658caf27fa4f6a48a6acbe">CK_SKIPJACK_RELAYX_PARAMS</a>
</li>
<li>pNewRandomA
: <a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#aac2f3b9bfbef00d0b000ee978c26deed">CK_SKIPJACK_RELAYX_PARAMS</a>
</li>
<li>pOldPassword
: <a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#aa5768b5821839305e62ded58a4adb4c7">CK_SKIPJACK_RELAYX_PARAMS</a>
</li>
<li>pOldPublicData
: <a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#a49f4cdf5ffabdadb1e1335242b05c150">CK_SKIPJACK_RELAYX_PARAMS</a>
</li>
<li>pOldRandomA
: <a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#ac3978e19be0d7b37469e8a0533656469">CK_SKIPJACK_RELAYX_PARAMS</a>
</li>
<li>pOldWrappedX
: <a class="el" href="structCK__SKIPJACK__RELAYX__PARAMS.html#ab66d64eff24b0fb44c976cbd06eb4813">CK_SKIPJACK_RELAYX_PARAMS</a>
</li>
<li>policy
: <a class="el" href="structconfiguration__st.html#aa8b12fc445dcfa4a31ef8b39578a523d">configuration_st</a>
</li>
<li>pOtherInfo
: <a class="el" href="structCK__X9__42__DH1__DERIVE__PARAMS.html#a0bdadab84c1177e86014fccfbf43e50f">CK_X9_42_DH1_DERIVE_PARAMS</a>
, <a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#a0bdadab84c1177e86014fccfbf43e50f">CK_X9_42_DH2_DERIVE_PARAMS</a>
</li>
<li>pParameter
: <a class="el" href="structCK__MECHANISM.html#a672cc8332ea258e4538c1c41cefaaa65">CK_MECHANISM</a>
</li>
<li>pPassword
: <a class="el" href="structCK__PBE__PARAMS.html#afcd59d3f53ba9541d524b464e52db6c3">CK_PBE_PARAMS</a>
, <a class="el" href="structCK__PKCS5__PBKD2__PARAMS.html#afcd59d3f53ba9541d524b464e52db6c3">CK_PKCS5_PBKD2_PARAMS</a>
, <a class="el" href="structCK__SKIPJACK__PRIVATE__WRAP__PARAMS.html#a56f8964b4d28bc03e5f5d9a374e7b508">CK_SKIPJACK_PRIVATE_WRAP_PARAMS</a>
</li>
<li>pPrfData
: <a class="el" href="structCK__PKCS5__PBKD2__PARAMS.html#a14f642c2ba93297d4e77495ad99eb0d8">CK_PKCS5_PBKD2_PARAMS</a>
</li>
<li>pPrimeP
: <a class="el" href="structCK__SKIPJACK__PRIVATE__WRAP__PARAMS.html#a26916f0963020f01b558f49a7a0ee1a9">CK_SKIPJACK_PRIVATE_WRAP_PARAMS</a>
</li>
<li>pPublicData
: <a class="el" href="structCK__ECDH1__DERIVE__PARAMS.html#a5b5ab88b8cf93cfa701f56237f237292">CK_ECDH1_DERIVE_PARAMS</a>
, <a class="el" href="structCK__ECDH2__DERIVE__PARAMS.html#a5b5ab88b8cf93cfa701f56237f237292">CK_ECDH2_DERIVE_PARAMS</a>
, <a class="el" href="structCK__KEA__DERIVE__PARAMS.html#a5b5ab88b8cf93cfa701f56237f237292">CK_KEA_DERIVE_PARAMS</a>
, <a class="el" href="structCK__SKIPJACK__PRIVATE__WRAP__PARAMS.html#a5b5ab88b8cf93cfa701f56237f237292">CK_SKIPJACK_PRIVATE_WRAP_PARAMS</a>
, <a class="el" href="structCK__X9__42__DH1__DERIVE__PARAMS.html#a5b5ab88b8cf93cfa701f56237f237292">CK_X9_42_DH1_DERIVE_PARAMS</a>
, <a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#a5b5ab88b8cf93cfa701f56237f237292">CK_X9_42_DH2_DERIVE_PARAMS</a>
</li>
<li>pPublicData2
: <a class="el" href="structCK__ECDH2__DERIVE__PARAMS.html#a807f984f215aef03dc5ac126804618dd">CK_ECDH2_DERIVE_PARAMS</a>
, <a class="el" href="structCK__X9__42__DH2__DERIVE__PARAMS.html#a807f984f215aef03dc5ac126804618dd">CK_X9_42_DH2_DERIVE_PARAMS</a>
</li>
<li>pRandomA
: <a class="el" href="structCK__KEA__DERIVE__PARAMS.html#ac98b8ee83b00153a916a5b64264b3548">CK_KEA_DERIVE_PARAMS</a>
, <a class="el" href="structCK__SKIPJACK__PRIVATE__WRAP__PARAMS.html#ac98b8ee83b00153a916a5b64264b3548">CK_SKIPJACK_PRIVATE_WRAP_PARAMS</a>
</li>
<li>pRandomB
: <a class="el" href="structCK__KEA__DERIVE__PARAMS.html#a738b89a6cd752e2b0f19073e5003ca59">CK_KEA_DERIVE_PARAMS</a>
</li>
<li>pReserved
: <a class="el" href="structCK__C__INITIALIZE__ARGS.html#a9a29104d1d45c0dbe5e3af2005c6d9bc">CK_C_INITIALIZE_ARGS</a>
</li>
<li>pReturnedKeyMaterial
: <a class="el" href="structCK__SSL3__KEY__MAT__PARAMS.html#ad9fc45cc4c44d9f97a77be81152d70ea">CK_SSL3_KEY_MAT_PARAMS</a>
</li>
<li>prf
: <a class="el" href="structCK__PKCS5__PBKD2__PARAMS.html#a486ca470e94c331b0d6b3ce2b2e629dd">CK_PKCS5_PBKD2_PARAMS</a>
</li>
<li>pSalt
: <a class="el" href="structCK__PBE__PARAMS.html#abe4a9572f77ba45b587a125d643c5b72">CK_PBE_PARAMS</a>
</li>
<li>pSaltSourceData
: <a class="el" href="structCK__PKCS5__PBKD2__PARAMS.html#ad6406240587bc71085ca34aec5cad74c">CK_PKCS5_PBKD2_PARAMS</a>
</li>
<li>pServerRandom
: <a class="el" href="structCK__SSL3__RANDOM__DATA.html#a173c062aa1f129650eddb41ddf9651bb">CK_SSL3_RANDOM_DATA</a>
</li>
<li>pSharedData
: <a class="el" href="structCK__ECDH1__DERIVE__PARAMS.html#acab261b5f4c0104ea7011d671b371ab1">CK_ECDH1_DERIVE_PARAMS</a>
, <a class="el" href="structCK__ECDH2__DERIVE__PARAMS.html#acab261b5f4c0104ea7011d671b371ab1">CK_ECDH2_DERIVE_PARAMS</a>
</li>
<li>pSourceData
: <a class="el" href="structCK__RSA__PKCS__OAEP__PARAMS.html#aeef88ffa479e6095bbecf45ae3374225">CK_RSA_PKCS_OAEP_PARAMS</a>
</li>
<li>pSubprimeQ
: <a class="el" href="structCK__SKIPJACK__PRIVATE__WRAP__PARAMS.html#acf61d8c024340f5ab1a96c03251b5f10">CK_SKIPJACK_PRIVATE_WRAP_PARAMS</a>
</li>
<li>pt
: <a class="el" href="structmapfile.html#a6c968ee6eb10c4ba386621ba90472862">mapfile</a>
</li>
<li>pValue
: <a class="el" href="structCK__ATTRIBUTE.html#a0584f1322464eff525d957753fd09734">CK_ATTRIBUTE</a>
</li>
<li>pVersion
: <a class="el" href="structCK__SSL3__MASTER__KEY__DERIVE__PARAMS.html#aed57d5f7aedb25da376592d85af67c44">CK_SSL3_MASTER_KEY_DERIVE_PARAMS</a>
</li>
<li>pX
: <a class="el" href="structCK__KEY__WRAP__SET__OAEP__PARAMS.html#a0fbadb71e1340059f259d497c06830d8">CK_KEY_WRAP_SET_OAEP_PARAMS</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
